Bug 1197007 - Build fails on ppc64(le), s390(x), aarch64 machines
Summary: Build fails on ppc64(le), s390(x), aarch64 machines
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 23
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker PPCTracker ARM64, F-ExcludeArch-aarch64 F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2015-02-27 10:34 UTC by Jakub Čajka
Modified: 2015-07-20 06:20 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-20 06:20:43 UTC


Attachments (Terms of Use)
firefox s390 build log (435.31 KB, text/plain)
2015-03-04 11:18 UTC, Jakub Čajka
no flags Details
ppc64le firefox build log (830.23 KB, text/plain)
2015-03-04 11:19 UTC, Jakub Čajka
no flags Details
aarch build log (2.86 MB, text/plain)
2015-03-09 14:49 UTC, Jakub Čajka
no flags Details
s390 build log (4.05 MB, text/plain)
2015-03-09 14:51 UTC, Jakub Čajka
no flags Details

Description Jakub Čajka 2015-02-27 10:34:46 UTC
Failed build:
http://s390.koji.fedoraproject.org/koji/buildinfo?buildID=304192
(also fails on ppc64(le), but no "normal" build done yet, all digging done on ppc64le f21)

It seems that with upstream commit https://hg.mozilla.org/mozilla-central/rev/0092a5e1467d, was introduced dependency on skia an all architectures. Enabling skia(--enable-skia) and disabling skia gpu(--disable-skia-gpu) fixes missing header file(s), but results in build failure probably caused by missing defines for bigendian in skia...
.
.
.
gcc -o signal.o -c -I../../dist/system_wrappers -include /builddir/build/BUILD/firefox-36.0/mozilla-release/config/gcc_hidden.h -DHAVE_CONFIG_H -DOS_POSIX=1 -DOS_LINUX=1 -DSTATIC_EXPORTABLE_JS_API -DMOZILLA_INTERNAL_API -DIMPL_LIBXUL -DMOZ_GLUE_IN_PROGRAM -DAB_CD=en-US -DNO_NSPR_10_SUPPORT -I/builddir/build/BUILD/firefox-36.0/mozilla-release/ipc/chromium -I. -I/builddir/build/BUILD/firefox-36.0/mozilla-release/objdir/ipc/ipdl/_ipdlheaders -I/builddir/build/BUILD/firefox-36.0/mozilla-release/ipc/chromium/src/third_party/libevent -I/builddir/build/BUILD/firefox-36.0/mozilla-release/ipc/chromium/src/third_party/libevent/include -I/builddir/build/BUILD/firefox-36.0/mozilla-release/ipc/chromium/src/third_party/libevent/linux -I/builddir/build/BUILD/firefox-36.0/mozilla-release/ipc/chromium/src -I/builddir/build/BUILD/firefox-36.0/mozilla-release/ipc/glue -I../../dist/include   -I/usr/include/nspr4 -I/usr/include/nss3       -fPIC   -include ../../mozilla-config.h -DMOZILLA_CLIENT -MD -MP -MF .deps/signal.o.pp  -Wall -Wdeclaration-after-statement -Wempty-body -Wpointer-to-int-cast -Wsign-compare -Wtype-limits -Wno-unused -Wcast-align -O2 -g -pipe -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mcpu=power7 -mtune=power8 -Wformat-security -Wformat -Werror=format-security -std=gnu99 -fgnu89-inline -fno-strict-aliasing -ffunction-sections -fdata-sections -fno-math-errno -pthread -pipe  -DNDEBUG -DTRIMMED -g -freorder-blocks -Os  -fomit-frame-pointer     /builddir/build/BUILD/firefox-36.0/mozilla-release/ipc/chromium/src/third_party/libevent/signal.c
strlcpy.o
In file included from ../../dist/include/skia/SkColorTable.h:15:0,
                 from ../../dist/include/skia/SkBitmap.h:12,
                 from ../../dist/include/skia/SkCanvas.h:12,
                 from /builddir/build/BUILD/firefox-36.0/mozilla-release/gfx/layers/basic/BasicCompositor.cpp:20,
                 from /builddir/build/BUILD/firefox-36.0/mozilla-release/objdir/gfx/layers/Unified_cpp_gfx_layers1.cpp:119:
../../dist/include/skia/SkImageInfo.h:91:2: error: #error "SK_*32_SHFIT values must correspond to BGRA or RGBA byte order"
 #error "SK_*32_SHFIT values must correspond to BGRA or RGBA byte order"
  ^
.
.
.
c++ -o process_util_posix.o -c -I../../dist/stl_wrappers -I../../dist/system_wrappers -include /builddir/build/BUILD/firefox-36.0/mozilla-release/config/gcc_hidden.h -DHAVE_CONFIG_H -DOS_POSIX=1 -DOS_LINUX=1 -DSTATIC_EXPORTABLE_JS_API -DMOZILLA_INTERNAL_API -DIMPL_LIBXUL -DMOZ_GLUE_IN_PROGRAM -DAB_CD=en-US -DNO_NSPR_10_SUPPORT -I/builddir/build/BUILD/firefox-36.0/mozilla-release/ipc/chromium -I. -I/builddir/build/BUILD/firefox-36.0/mozilla-release/objdir/ipc/ipdl/_ipdlheaders -I/builddir/build/BUILD/firefox-36.0/mozilla-release/ipc/chromium/src/third_party/libevent -I/builddir/build/BUILD/firefox-36.0/mozilla-release/ipc/chromium/src/third_party/libevent/include -I/builddir/build/BUILD/firefox-36.0/mozilla-release/ipc/chromium/src/third_party/libevent/linux -I/builddir/build/BUILD/firefox-36.0/mozilla-release/ipc/chromium/src -I/builddir/build/BUILD/firefox-36.0/mozilla-release/ipc/glue -I../../dist/include   -I/usr/include/nspr4 -I/usr/include/nss3       -fPIC   -DMOZILLA_CLIENT -include ../../mozilla-config.h -MD -MP -MF .deps/process_util_posix.o.pp  -Wall -Wempty-body -Woverloaded-virtual -Wsign-compare -Wwrite-strings -Wno-invalid-offsetof -Wcast-align -O2 -g -pipe -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mcpu=power7 -mtune=power8 -Wformat-security -Wformat -Werror=format-security -fno-exceptions -fno-strict-aliasing -fno-rtti -ffunction-sections -fdata-sections -fno-exceptions -fno-math-errno -std=gnu++0x -pthread -pipe -I/builddir/build/BUILD/firefox-36.0/mozilla-release/widget/gtk/compat -pthread -I/usr/include/gtk-2.0 -I/usr/include/gtk-unix-print-2.0 -I/usr/include/gtk-2.0 -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/freetype2 -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  -DNDEBUG -DTRIMMED -g -freorder-blocks -Os  -fomit-frame-pointer     /builddir/build/BUILD/firefox-36.0/mozilla-release/ipc/chromium/src/base/process_util_posix.cc
rand_util_posix.o
../../dist/include/skia/SkImageInfo.h: In static member function 'static SkImageInfo SkImageInfo::MakeN32(int, int, SkAlphaType)':
../../dist/include/skia/SkImageInfo.h:156:28: error: 'kN32_SkColorType' was not declared in this scope
             width, height, kN32_SkColorType, at
                            ^
../../dist/include/skia/SkImageInfo.h: In static member function 'static SkImageInfo SkImageInfo::MakeN32Premul(int, int)':
../../dist/include/skia/SkImageInfo.h:166:28: error: 'kN32_SkColorType' was not declared in this scope
             width, height, kN32_SkColorType, kPremul_SkAlphaType
.
.
.
c++ -o thread_local_posix.o -c -I../../dist/stl_wrappers -I../../dist/system_wrappers -include /builddir/build/BUILD/firefox-36.0/mozilla-release/config/gcc_hidden.h -DHAVE_CONFIG_H -DOS_POSIX=1 -DOS_LINUX=1 -DSTATIC_EXPORTABLE_JS_API -DMOZILLA_INTERNAL_API -DIMPL_LIBXUL -DMOZ_GLUE_IN_PROGRAM -DAB_CD=en-US -DNO_NSPR_10_SUPPORT -I/builddir/build/BUILD/firefox-36.0/mozilla-release/ipc/chromium -I. -I/builddir/build/BUILD/firefox-36.0/mozilla-release/objdir/ipc/ipdl/_ipdlheaders -I/builddir/build/BUILD/firefox-36.0/mozilla-release/ipc/chromium/src/third_party/libevent -I/builddir/build/BUILD/firefox-36.0/mozilla-release/ipc/chromium/src/third_party/libevent/include -I/builddir/build/BUILD/firefox-36.0/mozilla-release/ipc/chromium/src/third_party/libevent/linux -I/builddir/build/BUILD/firefox-36.0/mozilla-release/ipc/chromium/src -I/builddir/build/BUILD/firefox-36.0/mozilla-release/ipc/glue -I../../dist/include   -I/usr/include/nspr4 -I/usr/include/nss3       -fPIC   -DMOZILLA_CLIENT -include ../../mozilla-config.h -MD -MP -MF .deps/thread_local_posix.o.pp  -Wall -Wempty-body -Woverloaded-virtual -Wsign-compare -Wwrite-strings -Wno-invalid-offsetof -Wcast-align -O2 -g -pipe -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mcpu=power7 -mtune=power8 -Wformat-security -Wformat -Werror=format-security -fno-exceptions -fno-strict-aliasing -fno-rtti -ffunction-sections -fdata-sections -fno-exceptions -fno-math-errno -std=gnu++0x -pthread -pipe -I/builddir/build/BUILD/firefox-36.0/mozilla-release/widget/gtk/compat -pthread -I/usr/include/gtk-2.0 -I/usr/include/gtk-unix-print-2.0 -I/usr/include/gtk-2.0 -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/freetype2 -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  -DNDEBUG -DTRIMMED -g -freorder-blocks -Os  -fomit-frame-pointer     /builddir/build/BUILD/firefox-36.0/mozilla-release/ipc/chromium/src/base/thread_local_posix.cc
thread_local_storage_posix.o
In file included from ../../dist/include/skia/SkColorTable.h:15:0,
                 from ../../dist/include/skia/SkBitmap.h:12,
                 from ../../dist/include/skia/SkCanvas.h:12,
                 from /builddir/build/BUILD/firefox-36.0/mozilla-release/gfx/layers/basic/BasicLayerManager.cpp:49,
                 from /builddir/build/BUILD/firefox-36.0/mozilla-release/objdir/gfx/layers/Unified_cpp_gfx_layers2.cpp:2:
../../dist/include/skia/SkImageInfo.h:91:2: error: #error "SK_*32_SHFIT values must correspond to BGRA or RGBA byte order"
 #error "SK_*32_SHFIT values must correspond to BGRA or RGBA byte order"
  ^
.
.
.
c++ -o Unified_cpp_media_mediasource0.o -c -I../../../dist/stl_wrappers -I../../../dist/system_wrappers -include /builddir/build/BUILD/firefox-36.0/mozilla-release/config/gcc_hidden.h -DSTATIC_EXPORTABLE_JS_API -DMOZILLA_INTERNAL_API -DIMPL_LIBXUL -DMOZ_GLUE_IN_PROGRAM -DAB_CD=en-US -DNO_NSPR_10_SUPPORT -I/builddir/build/BUILD/firefox-36.0/mozilla-release/dom/media/mediasource -I.  -I../../../dist/include   -I/usr/include/nspr4 -I/usr/include/nss3       -fPIC   -DMOZILLA_CLIENT -include ../../../mozilla-config.h -MD -MP -MF .deps/Unified_cpp_media_mediasource0.o.pp  -Wall -Wempty-body -Woverloaded-virtual -Wsign-compare -Wwrite-strings -Wno-invalid-offsetof -Wcast-align -O2 -g -pipe -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mcpu=power7 -mtune=power8 -Wformat-security -Wformat -Werror=format-security -fno-exceptions -fno-strict-aliasing -fno-rtti -ffunction-sections -fdata-sections -fno-exceptions -fno-math-errno -std=gnu++0x -pthread -pipe  -DNDEBUG -DTRIMMED -g -freorder-blocks -Os  -fomit-frame-pointer      /builddir/build/BUILD/firefox-36.0/mozilla-release/objdir/dom/media/mediasource/Unified_cpp_media_mediasource0.cpp
libextensions_auth.a.desc
rm -f libextensions_auth.a
/builddir/build/BUILD/firefox-36.0/mozilla-release/objdir/_virtualenv/bin/python /builddir/build/BUILD/firefox-36.0/mozilla-release/config/expandlibs_gen.py -o libextensions_auth.a.desc nsAuthSASL.o nsHttpNegotiateAuth.o Unified_cpp_extensions_auth0.o
../../dist/include/skia/SkImageInfo.h: In static member function 'static SkImageInfo SkImageInfo::MakeN32(int, int, SkAlphaType)':
../../dist/include/skia/SkImageInfo.h:156:28: error: 'kN32_SkColorType' was not declared in this scope
             width, height, kN32_SkColorType, at
                            ^
../../dist/include/skia/SkImageInfo.h: In static member function 'static SkImageInfo SkImageInfo::MakeN32Premul(int, int)':
../../dist/include/skia/SkImageInfo.h:166:28: error: 'kN32_SkColorType' was not declared in this scope
             width, height, kN32_SkColorType, kPremul_SkAlphaType
.
.
.


This should affects all branches(seen on f21,f20).

Comment 1 Jakub Čajka 2015-02-27 10:38:00 UTC
(In reply to Jakub Čajka from comment #0)

> results in build failure probably caused by missing defines for bigendian in
> skia...
 should be "...for endian...", not "...for bigendian..."...

Comment 2 Martin Stransky 2015-03-02 13:24:12 UTC
Maybe https://bugzilla.mozilla.org/show_bug.cgi?id=1136958

Comment 3 Martin Stransky 2015-03-03 14:46:45 UTC
Skia should be enabled by default. The missing config flags needs to be updated for second arches.

Comment 4 Martin Stransky 2015-03-03 14:56:10 UTC
Enabled skia by default in firefox-36.0-2.fc23.

Comment 6 Jakub Čajka 2015-03-04 11:18:56 UTC
Created attachment 997817 [details]
firefox s390 build log

I have done scratch builds on s390 and ppc64, also normal build failed on aarch64.
Failed builds:

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2908936

http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1746212 (scratch)
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2390183 (scratch)

Missing defines seems to be result of somehow failing endianity check in SkPreConfig.h:91, at least defining unconditionally SK_CPU_LENDIAN on ppc64le resulted in the same build failure as on aarch64.

Thanks for looking in to it.

Comment 7 Jakub Čajka 2015-03-04 11:19:36 UTC
Created attachment 997818 [details]
ppc64le firefox build log

Comment 8 Martin Stransky 2015-03-06 12:29:02 UTC
There's another issue there with bigendian boxes - https://bugzilla.mozilla.org/show_bug.cgi?id=1005535

Comment 9 Martin Stransky 2015-03-06 16:13:04 UTC
Should be fixed by firefox-36.0-4

Comment 10 Martin Stransky 2015-03-09 08:33:28 UTC
Can you please launch the second arch builds for firefox-36.0-4?

Comment 11 Jakub Čajka 2015-03-09 14:48:27 UTC
I have done scratch builds. It seems to build fine on ppc and s390(f21):

http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2403017 (f22)
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2403039 (f21)
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1750984 (f21)

but fails during linking on aarch64:

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2915652 (f22)
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2915748 (f21)

and fails during execution of xpcshell on s390(f22)(that is weird as build for f21 passes...):

http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1750982 (f22)
.
.
.
Executing /builddir/build/BUILD/firefox-36.0.1/mozilla-release/objdir/dist/bin/xpcshell -g /builddir/build/BUILD/firefox-36.0.1/mozilla-release/objdir/dist/bin/ -a /builddir/build/BUILD/firefox-36.0.1/mozilla-release/objdir/dist/bin/ -f /builddir/build/BUILD/firefox-36.0.1/mozilla-release/toolkit/mozapps/installer/precompile_cache.js -e precompile_startupcache("resource://gre/");
self-hosted:14:0 InternalError: function nested too deeply:
self-hosted:14:0 }
self-hosted:14:0 ^
Traceback (most recent call last):
  File "/builddir/build/BUILD/firefox-36.0.1/mozilla-release/toolkit/mozapps/installer/packager.py", line 402, in <module>
    main()
  File "/builddir/build/BUILD/firefox-36.0.1/mozilla-release/toolkit/mozapps/installer/packager.py", line 394, in main
    args.source, gre_path, base)
  File "/builddir/build/BUILD/firefox-36.0.1/mozilla-release/toolkit/mozapps/installer/packager.py", line 157, in precompile_cache
    errors.fatal('Error while running startup cache precompilation')
  File "/builddir/build/BUILD/firefox-36.0.1/mozilla-release/python/mozbuild/mozpack/errors.py", line 101, in fatal
    self._handle(self.FATAL, msg)
  File "/builddir/build/BUILD/firefox-36.0.1/mozilla-release/python/mozbuild/mozpack/errors.py", line 96, in _handle
    raise ErrorMessage(msg)
mozpack.errors.ErrorMessage: Error: Error while running startup cache precompilation
.
.
.

Comment 12 Jakub Čajka 2015-03-09 14:49:57 UTC
Created attachment 999571 [details]
aarch build log

Comment 13 Jakub Čajka 2015-03-09 14:51:05 UTC
Created attachment 999572 [details]
s390 build log

Comment 14 Martin Stransky 2015-03-10 14:27:07 UTC
The aarch should be fixed in firefox-36.0.1-2. Unfortunately the build crashes on intel because gcc internal error. Can you please try the aarch builds for this package? And how can I execute them?

Comment 15 Martin Stransky 2015-03-11 13:44:39 UTC
The aarch64 is not supported by Firefox, it's because Skia (a graphics backend) does not support the aarch64 architecture yet.

Comment 16 Martin Stransky 2015-03-11 14:22:07 UTC
Aarch64 Skia bug - https://bugzilla.mozilla.org/show_bug.cgi?id=1142056
Mozilla needs to update its Skia copy from upstream.

Comment 17 Marcin Juszkiewicz 2015-04-02 08:18:17 UTC
Skia fix for aarch64 was pushed to rawhide for firefox 37.

Comment 18 Martin Stransky 2015-04-07 11:09:40 UTC
The s390 fix seems to be included in FF38.

Comment 19 Jan Kurik 2015-07-15 14:28:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 20 Marcin Juszkiewicz 2015-07-19 20:16:19 UTC
Is it still valid?

Comment 21 Dan Horák 2015-07-20 06:20:43 UTC
I see up-to-date FF builds on all secondary arches, so it's not.


Note You need to log in before you can comment on or make changes to this bug.